<?php
/**
 * This project has been generated by worker generator
 * has been made by fahmi sulaiman
 * sulaimanfahmi@gmail.com
 * check out my github @dekaulitz
 */

namespace App\Http\Controllers\Administrator;

use App\Exceptions\DefaultException;
use App\Http\Base\BaseController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Services\WorkflowService;

class WorkflowController extends BaseController
{
    protected $baseService;
    private $workflow;

    /**
     * Workflow constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->baseService = new WorkflowService();
        $this->workflow = new WorkflowService();
    }

    /**
     * @param Request $request
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function paging(Request $request)
    {        
        $this->data["history"] = false;
        $this->data["ordering"] = [
            "refId:asc" => "No Transaksi &uarr;"
            , "refId:desc" => "No Transaksi &darr;"
            , "namaTransaksi:asc" => "Nama Transaksi &uarr;"
            , "namaTransaksi:desc" => "Nama Transaksi &darr;"
            , "dateCreated:asc" => "Tgl Transaksi &uarr;"
            , "dateCreated:desc" => "Tgl Transaksi &darr;"
        ];
        $this->data["workflows"] = $this->baseService->paging($request, $this->data["history"]);
        return view("modules.workflow.workflow_index", $this->data);
    }

    public function history(Request $request)
    {        
        $this->data["history"] = true;
        $this->data["ordering"] = [
            "dateCreated:asc" => "Tgl Transaksi [ASC]"
            , "dateCreated:desc" => "Tgl Transaksi [DESC]"
        ];
        $this->data["workflows"] = $this->baseService->paging($request, $this->data["history"]);
        return view("modules.workflow.workflow_index", $this->data);
    }

}